/* Home */

.page--home
{
  .intro__container
  {
    aspect-ratio: 9/16;
    width: 100vw;
    position: relative;
  }

  .intro__promo-logo
  {
    max-width: 300px;
  }

  .intro__creative
  {
    height: 100%;
    width: 100%;
    object-fit: cover;
    position: absolute;
  }

  .intro__content
  {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 100%;
    height: 100%;
  }

  .intro__title
  {
    color: var(--brand-white, #ffffff);
    font-family: var(--cg-font-family-heading, 'Sorts-Mill-Goudy', 'SortsMillGoudy', 'Garamond', 'Georgia', serif);
    font-size: clamp(2.5rem, 6vw, 5rem);
    letter-spacing: .1rem;
    margin-bottom: .5rem;
    text-shadow: 1px 1px 2px rgb(47, 35, 25, 0.75), 0 0 25px rgb(47, 35, 25, 0.75), 0 0 5px rgb(47, 35, 25, 0.75);
  }

  .intro__subtitle
  {
    text-transform: uppercase;
    font-size: 1.75rem;
    line-height: 1.3;
  }

  .intro__button
  {
    box-shadow: -2px 14px 10px -5px rgb(47, 35, 25, 0.75);
    border-radius: 0 !important;
    border: none !important;
  }

  .features__pod
  {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding: 0;
  }

  .features__image--gift-cards
  {
    width: 50%;
    max-width: 175px;
  }

  .features__image--private-dining
  {
    width: 40%;
    max-width: 140px;
  }

  .features__image--wine
  {
    width: 35%;
    max-width: 120px;
  }

  .features__subtitle
  {
    font-size: 1.3rem;
    font-family: var(--cg-font-family-heading, 'Sorts-Mill-Goudy', 'SortsMillGoudy', 'Garamond', 'Georgia', serif);
  }

  .features__description
  {
    margin-bottom: 1rem;
    font-size: 1.17rem;
    line-height: 1.5;
  }

  .features__button
  {
    box-shadow: 0px 3px 8px 0px rgb(66, 34, 3, 0.23);
    margin: 0 auto;
    max-width: 300px;
  }
}

@media only screen and (min-width: 375px)
{
  .page--home
  {

    .features__subtitle
    {
      font-size: 1.25rem;
    }
  }
}

@media only screen and (min-width: 576px)
{
  .page--home
  {
    .intro__container
    {
      aspect-ratio: 9/11;
    }

    .intro__button,
    .features__button
    {
      font-size: 1.15rem;
    }

    .features__subtitle
    {
      font-size: 1.6rem;
    }

    .features__description
    {
      font-size: 1.4rem;
    }
  }
}


@media only screen and (min-width: 768px)
{
  .page--home
  {
    .intro__container
    {
      aspect-ratio: 1/1;
    }

    .intro__title
    {
      margin-bottom: 1rem;
    }

    .intro__promo-logo
    {
      max-width: 475px;
    }
  }
}

@media only screen and (min-width: 992px)
{
  .page--home
  {
    .intro__container
    {
      aspect-ratio: 16/9;
    }

    .intro__button,
    .features__button
    {
      font-size: 1rem;
    }

    .features__subtitle
    {
      font-size: 1.27rem;
    }

    .features__description
    {
      font-size: 1.2rem;
    }
  }
}

@media only screen and (min-width: 1200px)
{
  .page--home
  {

    .intro__button,
    .features__button
    {
      font-size: 1.15rem;
    }

    .features__subtitle
    {
      font-size: 1.45rem;
    }

    .features__description
    {
      font-size: 1.35rem;
    }

    .intro__promo-logo
    {
      max-width: 550px;
    }
  }
}

@media only screen and (min-width: 1600px)
{
  .page--home
  {
    .intro__container
    {
      aspect-ratio: 21/9;
    }

    .intro__button,
    .features__button
    {
      font-size: 1.35rem;
      max-width: 350px;
    }

    .features .container
    {
      max-width: 1536px;
    }

    .features__image--gift-cards
    {
      width: 55%;
      max-width: 185px;
    }

    .features__image--private-dining
    {
      width: 45%;
      max-width: 150px;
    }

    .features__image--wine
    {
      width: 40%;
      max-width: 130px;
    }

    .features__subtitle
    {
      font-size: 1.6rem;
    }

    .features__description
    {
      font-size: 1.45rem;
    }
  }
}

/* NRO (locations/new-locations Page ------------------------------------------------------------ START*/

.locations-page {
  margin: 0;
  padding: 32px 0 32px;
  background: #FFF;
  min-height: calc(100vh - 412px);


  .new-locations.container {
    max-width: 880px;
    border-radius: 12px;
    padding: 24px;
  }

  .new-locations p.no-record {
    text-align: center;
    font-family: 'Lato-regular', 'Lato', sans-serif;
    font-weight: bold;
    font-size: 1.125rem;
    line-height: 1.5;
  }

  .new-locations .tabs {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    width: 100%;
    max-width: 680px;
    padding: 3px;
    background: var(--cg-warm-ivory);
    border-radius: 40px;
  }

  .new-locations .tab {
    flex: 1;
    padding: 8px 0;
    text-align: center;
    font-family: 'Lato-regular', 'Lato', sans-serif;
    font-size: 1rem;
    line-height: 1.5;
    font-weight: 700;
    color: var(--cg-gold);
    border-radius: 40px;
    cursor: pointer;
    transition: background 0.25s ease;
  }

  .new-locations .tab a {
    color: inherit;
    text-decoration: none;
  }

  .new-locations .tab:not(.active):hover {
    background: var(--cg-beige);
  }

  .new-locations .tab.active {
    background: #000;
    color: #ffffff;
  }

  .new-locations .tab.active:hover {
    background: var(--cg-gold);
  }

  .new-locations .tab.active a {
    color: inherit;
  }

  .new-locations a {
    color: var(--cg-gold);
  }

  .location-card {
    display: flex;
    gap: 20px;
    min-height: 150px;
    margin-bottom: 16px;
    background: transparent;
    border: 1px solid #855B3C;
    border-radius: 16px;
    overflow: hidden;
  }

  .location-card .card-image {
    flex: 0 0 145px;
    aspect-ratio: 1 / 1;
    overflow: hidden;
  }

  .location-card .card-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
  }


  .card-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 32px;
  }

  .loc-title {
    font-family: 'lato';
    font-size: 1rem;
    line-height: 1.5;
    font-weight: 700;
    color: var(--cg-gold);
    margin: 0 0 10px;
  }

  .address {
    margin: 0;
    font-family: 'Lato-regular', 'Lato', sans-serif;
    font-weight: 400;
    font-size: 1rem;
    line-height: 1.5;
    color: #000;
  }

  .card-status {
    display: flex;
    align-items: center;
  }

  .status-pill {
    padding: 8px 32px;
    border: 2px solid var(--cg-gold);
    border-radius: 30px;
    background: transparent;
    font-family: 'Lato-regular', 'Lato', sans-serif;
    font-size: 1rem;
    line-height: 1.5;
    font-weight: 400;
    text-transform: uppercase;
    color: var(--cg-gold);
  }

  .comingsoon .status-pill {
    background: var(--cg-warm-ivory);
  }
}

@media (max-width: 767px) {

  .locations-page {
    padding: 20px 0 20px;

    .new-locations.container {
      padding: 16px;
    }

    .new-locations .tabs {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      gap: 8px;
      padding: 8px;
      background: transparent;
      border-radius: 16px;
    }

    .new-locations .tab {
      padding: 12px 0;
      background: var(--cg-warm-ivory);
    }

    .new-locations .tab:hover {
      background: var(--cg-gold);
    }

    .new-locations .tab.active:hover {
      background: var(--cg-gold);
    }

    .location-card {
      gap: 10px;
    }

    .card-content {
      display: grid;
      grid-template-rows: auto auto;
      gap: 16px;
      padding: 20px 20px 20px 0;
      justify-content: center;
    }

    .card-text {
      text-align: center;
    }

    .card-status {
      justify-content: center;
      width: 100%;
    }

    .status-pill {
      padding: 6px 14px;
    }

  }

}

/* NRO (locations/new-locations  Page ------------------------------------------------------------END*/